; ahack.asm
;
; This sample demonstrates how to build a HACKMASTER system extension
; using the ASDK toolchain.
;
; Hackmaster info can be found on http://www.1stresource.com/~mistered/hackmstr.htm
;
; Hackmaster requires code resources with particular resource ids to work properly.
; To do this, we assemble each code resource as a seperate .asm file then use
; prc2bin to extract the code bytes.  Those code bytes are then included in ahack.asm
;
; This sample does not demonstrate Hackmaster control panels, but the procedure is the 
; same as for the trap handler.
;
; By Wes Cherry
; wesc@ricochet.net
; 29 Oct 96

        include "Pilot.inc"
	include "ahack.inc"

kidAhk2			equ		'ahk2'

; The 'Appl' directive sets the application's name and four character id.
        Appl    "AlarmHack2", kidAhk2

;	HACKMASTER:  Note that we don't include startup.inc
;       include "Startup.inc"

; Some global variables (a5-relative)

        data

global lFoo.l                   ; pila requires one global...(?)

        code

proc Foo()			; include some dummy code -- pila requires it.
beginproc
endproc

; Resources -----------------------------------------------------------------
;
	res 'tFRM', kidfAbout, "tFRM0bb8.bin"

; include the trap resource code
	res 'code', kidcTrap, "sndtrap.bin"

; define the trap we want to trap
	res 'TRAP', kidcTrap
	dc.w	sysTrapSndPlaySystemSound.l	

; about dialog

; Version resource
; HACKMASTER: necessary?
        res 	'tver', kidrTVER
        dc.b    '1.0', 0


; app icon name -- must be 3000 to be listed by HackMaster
	res 	'tAIN', 3000
	dc.b	'AlarmHack (HACK)', 0	      

       	end
